atkmm: Atk::NoOpObject Class Reference

atkmm 2.28.0

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Atk::NoOpObject Class Reference

An Atk::NoOpObject is an Atk::Object which purports to implement all ATK interfaces. More...

`#include <atkmm/noopobject.h>`

Inheritance diagram for Atk::NoOpObject:
[legend]

## Public Member Functions
| NoOpObject (NoOpObject&& src) noexcept
NoOpObject& | operator= (NoOpObject&& src) noexcept
| ~NoOpObject () noexcept override
AtkNoOpObject* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkNoOpObject* | gobj () const
| Provides access to the underlying C GObject. More...
AtkNoOpObject* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Public Member Functions inherited from Atk::Object
| Object (Object&& src) noexcept
Object& | operator= (Object&& src) noexcept
| ~Object () noexcept override
AtkObject* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkObject* | gobj () const
| Provides access to the underlying C GObject. More...
AtkObject* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::ustring | get_name () const
| Gets the accessible name of the accessible. More...
Glib::ustring | get_description () const
| Gets the accessible description of the accessible. More...
Glib::RefPtr< Atk::Object > | get_parent ()
| Gets the accessible parent of the accessible. More...
int | get_n_accessible_children () const
| Gets the number of accessible children of the accessible. More...
Glib::RefPtr< Atk::Object > | get_accessible_child (int i)
| Gets a reference to the specified accessible child of the object. More...
Glib::RefPtr< RelationSet > | get_relation_set ()
| Gets the Atk::RelationSet associated with the object. More...
Role | get_role () const
| Gets the role of the accessible. More...
Glib::RefPtr< StateSet > | get_state_set ()
| Gets a reference to the state set of the accessible; the caller must unreference it when it is no longer needed. More...
int | get_index_in_parent ()
| Gets the 0-based index of this accessible in its parent; returns -1 if the accessible does not have an accessible parent. More...
void | set_name (const Glib::ustring& name)
| Sets the accessible name of the accessible. More...
void | set_description (const Glib::ustring& description)
| Sets the accessible description of the accessible. More...
void | set_parent (const Glib::RefPtr< Atk::Object >& parent)
| Sets the accessible parent of the accessible. More...
void | set_role (Role role)
| Sets the role of the accessible. More...
void | notify_state_change (State state, bool value)
| Emits a state-change signal for the specified state. More...
bool | add_relationship (RelationType relationship, const Glib::RefPtr< Object >& target)
| Adds a relationship of the specified type with the specified target. More...
bool | remove_relationship (RelationType relationship, const Glib::RefPtr< Object >& target)
| Removes a relationship of the specified type with the specified target. More...
Glib::SignalProxy< void, guint, gpointer > | signal_children_changed ()
Glib::SignalProxy< void, bool > | signal_focus_event ()
Glib::SignalProxy< void, AtkPropertyValues*> | signal_property_change ()
Glib::SignalProxy< void, const Glib::ustring&, bool > | signal_state_change ()
Glib::SignalProxy< void > | signal_visible_data_changed ()
Glib::SignalProxy< void, void**> | signal_active_descendant_changed ()
Glib::PropertyProxy< Glib::ustring > | property_accessible_name ()
| Object instance's name formatted for assistive technology access. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_accessible_name () const
| Object instance's name formatted for assistive technology access. More...
Glib::PropertyProxy< Glib::ustring > | property_accessible_description ()
| Description of an object, formatted for assistive technology access. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_accessible_description () const
| Description of an object, formatted for assistive technology access. More...
Glib::PropertyProxy< Glib::RefPtr< Atk::Object > > | property_accessible_parent ()
| Parent of the current accessible as returned by Atk::Object::get_parent(). More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Atk::Object > > | property_accessible_parent () const
| Parent of the current accessible as returned by Atk::Object::get_parent(). More...
Glib::PropertyProxy< double > | property_accessible_value ()
| Is used to notify that the value has changed. More...
Glib::PropertyProxy_ReadOnly< double > | property_accessible_value () const
| Is used to notify that the value has changed. More...
Glib::PropertyProxy< int > | property_accessible_role ()
| The accessible role of this object. More...
Glib::PropertyProxy_ReadOnly< int > | property_accessible_role () const
| The accessible role of this object. More...
Glib::PropertyProxy_ReadOnly< int > | property_accessible_component_layer () const
| The accessible layer of this object. More...
Glib::PropertyProxy_ReadOnly< int > | property_accessible_component_mdi_zorder () const
| The accessible MDI value of this object. More...
Glib::PropertyProxy< Glib::ustring > | property_accessible_table_caption ()
| Is used to notify that the table caption has changed; this property should not be used. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_accessible_table_caption () const
| Is used to notify that the table caption has changed; this property should not be used. More...
Glib::PropertyProxy< Glib::ustring > | property_accessible_table_column_description ()
| Is used to notify that the table column description has changed. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_accessible_table_column_description () const
| Is used to notify that the table column description has changed. More...
Glib::PropertyProxy< Glib::RefPtr< Atk::Object > > | property_accessible_table_column_header ()
| Is used to notify that the table column header has changed. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Atk::Object > > | property_accessible_table_column_header () const
| Is used to notify that the table column header has changed. More...
Glib::PropertyProxy< Glib::ustring > | property_accessible_table_row_description ()
| Is used to notify that the table row description has changed. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_accessible_table_row_description () const
| Is used to notify that the table row description has changed. More...
Glib::PropertyProxy< Glib::RefPtr< Atk::Object > > | property_accessible_table_row_header ()
| Is used to notify that the table row header has changed. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Atk::Object > > | property_accessible_table_row_header () const
| Is used to notify that the table row header has changed. More...
Glib::PropertyProxy< Glib::RefPtr< Atk::Object > > | property_accessible_table_summary ()
| Is used to notify that the table summary has changed. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Atk::Object > > | property_accessible_table_summary () const
| Is used to notify that the table summary has changed. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const
Public Member Functions inherited from Atk::Component
| Component (Component&& src) noexcept
Component& | operator= (Component&& src) noexcept
| ~Component () noexcept override
AtkComponent* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkComponent* | gobj () const
| Provides access to the underlying C GObject. More...
guint | add_focus_handler (AtkFocusHandler handler)
| Add the specified handler to the set of functions to be called when this object receives focus events (in or out). More...
bool | contains (int x, int y, CoordType coord_type) const
| Checks whether the specified point is within the extent of the component. More...
Glib::RefPtr< Atk::Object > | get_accessible_at_point (int x, int y, CoordType coord_type)
| Gets a reference to the accessible child, if one exists, at the coordinate point specified by x and y. More...
void | get_extents (int& x, int& y, int& width, int& height, CoordType coord_type) const
| Gets the rectangle which gives the extent of the component. More...
void | get_position (int& x, int& y, CoordType coord_type) const
| Gets the position of component in the form of a point specifying component's top-left corner. More...
void | get_size (int& width, int& height) const
| Gets the size of the component in terms of width and height. More...
Layer | get_layer () const
| Gets the layer of the component. More...
int | get_mdi_zorder () const
| Gets the zorder of the component. More...
bool | grab_focus ()
| Grabs focus for this component. More...
void | remove_focus_handler (guint handler_id)
| Remove the handler specified by handler_id from the list of functions to be executed when this object receives focus events (in or out). More...
bool | set_extents (int x, int y, int width, int height, CoordType coord_type)
| Sets the extents of component. More...
bool | set_position (int x, int y, CoordType coord_type)
| Sets the postition of component. More...
bool | set_size (int width, int height)
| Set the size of the component in terms of width and height. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Atk::Action
| Action (Action&& src) noexcept
Action& | operator= (Action&& src) noexcept
| ~Action () noexcept override
AtkAction* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkAction* | gobj () const
| Provides access to the underlying C GObject. More...
bool | do_action (int i)
| Perform the specified action on the object. More...
int | get_n_actions () const
| Gets the number of accessible actions available on the object. More...
Glib::ustring | get_description (int i) const
| Returns a description of the specified action of the object. More...
Glib::ustring | get_name (int i) const
| Returns the name of the specified action of the object. More...
Glib::ustring | get_keybinding (int i)
| Returns a keybinding associated with this action, if one exists. More...
bool | set_description (int i, const Glib::ustring& desc)
| Sets a description of the specified action of the object. More...
Glib::ustring | get_localized_name (int i)
| Returns the localized name of the specified action of the object. More...
Public Member Functions inherited from Atk::EditableText
| EditableText (EditableText&& src) noexcept
EditableText& | operator= (EditableText&& src) noexcept
| ~EditableText () noexcept override
AtkEditableText* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkEditableText* | gobj () const
| Provides access to the underlying C GObject. More...
bool | set_run_attributes (const AttributeSet& attrib_set, int start_offset, int end_offset)
| Sets the attributes for a specified range. More...
void | set_text_contents (const Glib::ustring&string)
| Set text contents of text. More...
void | insert_text (const Glib::ustring&string, int length, int& position)
| Insert text at a given position. More...
void | copy_text (int start_pos, int end_pos)
| Copy text from start_pos up to, but not including end_pos to the clipboard. More...
void | cut_text (int start_pos, int end_pos)
| Copy text from start_pos up to, but not including end_pos to the clipboard and then delete from the widget. More...
void | delete_text (int start_pos, int end_pos)
| Delete text start_pos up to, but not including end_pos. More...
void | paste_text (int position)
| Paste text from clipboard to specified position. More...
Public Member Functions inherited from Atk::Image
| Image (Image&& src) noexcept
Image& | operator= (Image&& src) noexcept
| ~Image () noexcept override
AtkImage* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkImage* | gobj () const
| Provides access to the underlying C GObject. More...
bool | set_image_description (const Glib::ustring& description)
| Sets the textual description for this image. More...
Glib::ustring | get_image_description () const
| Get a textual description of this image. More...
void | get_image_size (int& width, int& height) const
| Get the width and height in pixels for the specified image. More...
void | get_image_position (int& x, int& y, CoordType coord_type) const
| Gets the position of the image in the form of a point specifying the images top-left corner. More...
Public Member Functions inherited from Atk::Selection
| Selection (Selection&& src) noexcept
Selection& | operator= (Selection&& src) noexcept
| ~Selection () noexcept override
AtkSelection* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkSelection* | gobj () const
| Provides access to the underlying C GObject. More...
bool | add_selection (int i)
| Adds the specified accessible child of the object to the object's selection. More...
bool | clear_selection ()
| Clears the selection in the object so that no children in the object are selected. More...
Glib::RefPtr< Atk::Object > | get_selection (int i)
| Gets a reference to the accessible object representing the specified selected child of the object. More...
int | get_selection_count () const
| Gets the number of accessible children currently selected. More...
bool | is_child_selected (int i) const
| Determines if the current child of this object is selected. More...
bool | remove_selection (int i)
| Removes the specified child of the object from the object's selection. More...
bool | select_all_selection ()
| Causes every child of the object to be selected if the object supports multiple selections. More...
Glib::SignalProxy< void > | signal_selection_changed ()
Public Member Functions inherited from Atk::Table
| Table (Table&& src) noexcept
Table& | operator= (Table&& src) noexcept
| ~Table () noexcept override
AtkTable* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkTable* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::RefPtr< Atk::Object > | get_at (int row, int column)
| Get a reference to the table cell at row, column. More...
Glib::RefPtr< const Atk::Object > | get_at (int row, int column) const
| Get a reference to the table cell at row, column. More...
int | get_index_at (int row, int column) const
| Gets a `int` representing the index at the specified row and column. More...
int | get_column_at_index (int index) const
| Gets a `int` representing the column at the specified index. More...
int | get_row_at_index (int index) const
| Gets a `int` representing the row at the specified index. More...
int | get_n_columns () const
| Gets the number of columns in the table. More...
int | get_n_rows () const
| Gets the number of rows in the table. More...
int | get_column_extent_at (int row, int column) const
| Gets the number of columns occupied by the accessible object at the specified row and column in the table. More...
int | get_row_extent_at (int row, int column) const
| Gets the number of rows occupied by the accessible object at a specified row and column in the table. More...
Glib::RefPtr< Atk::Object > | get_caption ()
| Gets the caption for the table. More...
Glib::RefPtr< const Atk::Object > | get_caption () const
| Gets the caption for the table. More...
Glib::ustring | get_column_description (int column) const
| Gets the description text of the specified column in the table. More...
Glib::RefPtr< Atk::Object > | get_column_header (int column)
| Gets the column header of a specified column in an accessible table. More...
Glib::RefPtr< const Atk::Object > | get_column_header (int column) const
| Gets the column header of a specified column in an accessible table. More...
Glib::ustring | get_row_description (int row) const
| Gets the description text of the specified row in the table. More...
Glib::RefPtr< Atk::Object > | get_row_header (int row)
| Gets the row header of a specified row in an accessible table. More...
Glib::RefPtr< const Atk::Object > | get_row_header (int row) const
| Gets the row header of a specified row in an accessible table. More...
Glib::RefPtr< Atk::Object > | get_summary ()
| Gets the summary description of the table. More...
Glib::RefPtr< const Atk::Object > | get_summary () const
| Gets the summary description of the table. More...
void | set_caption (const Glib::RefPtr< Atk::Object >& caption)
| Sets the caption for the table. More...
void | set_column_description (int column, const Glib::ustring& description)
| Sets the description text for the specified column of the table. More...
void | set_column_header (int column, const Glib::RefPtr< Atk::Object >& header)
| Sets the specified column header to header. More...
void | set_row_description (int row, const Glib::ustring& description)
| Sets the description text for the specified row of table. More...
void | set_row_header (int row, const Glib::RefPtr< Atk::Object >& header)
| Sets the specified row header to header. More...
void | set_summary (const Glib::RefPtr< Atk::Object >& accessible)
| Sets the summary description of the table. More...
Glib::ArrayHandle< int > | get_selected_columns () const
Glib::ArrayHandle< int > | get_selected_rows () const
bool | is_column_selected (int column) const
| Gets a boolean value indicating whether the specified column is selected. More...
bool | is_row_selected (int row) const
| Gets a boolean value indicating whether the specified row is selected. More...
bool | is_selected (int row, int column) const
| Gets a boolean value indicating whether the accessible object at the specified row and column is selected. More...
bool | add_row_selection (int row)
| Adds the specified row to the selection. More...
bool | remove_row_selection (int row)
| Removes the specified row from the selection. More...
bool | add_column_selection (int column)
| Adds the specified column to the selection. More...
bool | remove_column_selection (int column)
| Adds the specified column to the selection. More...
Glib::SignalProxy< void, int, int > | signal_row_inserted ()
Glib::SignalProxy< void, int, int > | signal_column_inserted ()
Glib::SignalProxy< void, int, int > | signal_row_deleted ()
Glib::SignalProxy< void, int, int > | signal_column_deleted ()
Glib::SignalProxy< void > | signal_row_reordered ()
Glib::SignalProxy< void > | signal_column_reordered ()
Glib::SignalProxy< void > | signal_model_changed ()
Public Member Functions inherited from Atk::Text
| Text (Text&& src) noexcept
Text& | operator= (Text&& src) noexcept
| ~Text () noexcept override
AtkText* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkText* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::ustring | get_text (int start_offset, int end_offset) const
| Gets the specified text. More...
gunichar | get_character_at_offset (int offset) const
| Gets the specified text. More...
Glib::ustring | get_text_after_offset (int offset, TextBoundary boundary_type, int& start_offset, int& end_offset) const
| Gets the specified text. More...
Glib::ustring | get_text_at_offset (int offset, TextBoundary boundary_type, int& start_offset, int& end_offset) const
| Gets the specified text. More...
Glib::ustring | get_text_before_offset (int offset, TextBoundary boundary_type, int& start_offset, int& end_offset) const
| Gets the specified text. More...
Glib::ustring | get_string_at_offset (int offset, TextGranularity granularity, int& start_offset, int& end_offset)
| Gets a portion of the text exposed through an Atk::Text according to a given offset and a specific granularity, along with the start and end offsets defining the boundaries of such a portion of text. More...
int | get_caret_offset () const
| Gets the offset position of the caret (cursor). More...
void | get_character_extents (int offset, int& x, int& y, int& width, int& height, CoordType coords) const
| Get the bounding box containing the glyph representing the character at a particular text offset. More...
AttributeSet | get_run_attributes (int offset, int& start_offset, int& end_offset) const
| Creates an Atk::AttributeSet which consists of the attributes explicitly set at the position offset in the text. More...
AttributeSet | get_default_attributes () const
| Creates an Atk::AttributeSet which consists of the default values of attributes for the text. More...
int | get_character_count () const
| Gets the character count. More...
int | get_offset_at_point (int x, int y, CoordType coords) const
| Gets the offset of the character located at coordinates x and y. More...
int | get_n_selections () const
| Gets the number of selected regions. More...
Glib::ustring | get_selection (int selection_num, int& start_offset, int& end_offset) const
| Gets the text from the specified selection. More...
bool | add_selection (int start_offset, int end_offset)
| Adds a selection bounded by the specified offsets. More...
bool | remove_selection (int selection_num)
| Removes the specified selection. More...
bool | set_selection (int selection_num, int start_offset, int end_offset)
| Changes the start and end offset of the specified selection. More...
bool | set_caret_offset (int offset)
| Sets the caret (cursor) position to the specified offset. More...
void | get_range_extents (int start_offset, int end_offset, CoordType coord_type, Rectangle& rect)
| Get the bounding box for text within the specified range. More...
AtkTextRange** | get_bounded_ranges (const Rectangle& rect, CoordType coord_type, TextClipType x_clip_type, TextClipType y_clip_type)
| Get the ranges of text in the specified bounding box. More...
Glib::SignalProxy< void, int, int > | signal_text_changed ()
Glib::SignalProxy< void, int > | signal_text_caret_moved ()
Glib::SignalProxy< void > | signal_text_selection_changed ()
Glib::SignalProxy< void > | signal_text_attributes_changed ()
Public Member Functions inherited from Atk::Hypertext
| Hypertext (Hypertext&& src) noexcept
Hypertext& | operator= (Hypertext&& src) noexcept
| ~Hypertext () noexcept override
AtkHypertext* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkHypertext* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::RefPtr< Hyperlink > | get_link (int link_index)
| Gets the link in this hypertext document at index link_index. More...
Glib::RefPtr< const Hyperlink > | get_link (int link_index) const
| Gets the link in this hypertext document at index link_index. More...
int | get_n_links () const
| Gets the number of links within this hypertext document. More...
int | get_link_index (int char_index) const
| Gets the index into the array of hyperlinks that is associated with the character specified by char_index. More...
Glib::SignalProxy< void, int > | signal_link_selected ()
virtual Glib::RefPtr< Hyperlink > | get_link_vfunc (int link_index)
virtual int | get_n_links_vfunc () const
virtual int | get_link_index_vfunc (int char_index) const
Public Member Functions inherited from Atk::Value
| Value (Value&& src) noexcept
Value& | operator= (Value&& src) noexcept
| ~Value () noexcept override
AtkValue* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkValue* | gobj () const
| Provides access to the underlying C GObject. More...
void | get_current_value (Glib::ValueBase& value) const
| Gets the value of this object. More...
void | get_maximum_value (Glib::ValueBase& value) const
| Gets the maximum value of this object. More...
void | get_minimum_value (Glib::ValueBase& value) const
| Gets the minimum value of this object. More...
bool | set_current_value (const Glib::ValueBase& value)
| Sets the value of this object. More...
void | get_value_and_text (double& value, Glib::ustring& text)
| Gets the current value and the human readable text alternative. More...
Range | get_range () const
| Gets the range of this object. More...
double | get_increment ()
| Gets the minimum increment by which the value of this object may be changed. More...
void | set_value (const gdouble new_value)
| Sets the value of this object. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Atk::Object
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Atk::Component
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Atk::Action
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Atk::EditableText
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Atk::Image
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Atk::Selection
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Atk::Table
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Atk::Text
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Atk::Hypertext
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Atk::Value
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::NoOpObject > | wrap (AtkNoOpObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Atk::Object
Glib::RefPtr< Atk::Object > | wrap (AtkObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Atk::Component
Glib::RefPtr< Atk::Component > | wrap (AtkComponent* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Atk::Action
Glib::RefPtr< Atk::Action > | wrap (AtkAction* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Atk::EditableText
Glib::RefPtr< Atk::EditableText > | wrap (AtkEditableText* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Atk::Image
Glib::RefPtr< Atk::Image > | wrap (AtkImage* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Atk::Selection
Glib::RefPtr< Atk::Selection > | wrap (AtkSelection* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Atk::Table
Glib::RefPtr< Atk::Table > | wrap (AtkTable* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Atk::Text
Glib::RefPtr< Atk::Text > | wrap (AtkText* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Atk::Hypertext
Glib::RefPtr< Atk::Hypertext > | wrap (AtkHypertext* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Atk::Value
Glib::RefPtr< Atk::Value > | wrap (AtkValue* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from Atk::Text
typedef AtkTextRectangle | Rectangle
Protected Member Functions inherited from Atk::Object
virtual void | on_children_changed (guint change_index, gpointer changed_child)
| This is a default handler for the signal signal_children_changed(). More...
virtual void | on_focus_event (bool focus_in)
| This is a default handler for the signal signal_focus_event(). More...
virtual void | on_property_change (AtkPropertyValues* values)
| This is a default handler for the signal signal_property_change(). More...
virtual void | on_state_change (const Glib::ustring& name, bool state_set)
| This is a default handler for the signal signal_state_change(). More...
virtual void | on_visible_data_changed ()
| This is a default handler for the signal signal_visible_data_changed(). More...
virtual void | on_active_descendant_changed (void** child)
| This is a default handler for the signal signal_active_descendant_changed(). More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Atk::Component
| Component ()
| You should derive from this class to use it. More...
virtual guint | add_focus_handler_vfunc (AtkFocusHandler handler)
virtual bool | contains_vfunc (int x, int y, CoordType coord_type) const
virtual Glib::RefPtr< Atk::Object > | get_accessible_at_point_vfunc (int x, int y, CoordType coord_type)
virtual void | get_extents_vfunc (int& x, int& y, int& width, int& height, CoordType coord_type) const
virtual void | get_position_vfunc (int& x, int& y, CoordType coord_type) const
virtual void | get_size_vfunc (int& width, int& height) const
virtual Layer | get_layer_vfunc () const
virtual int | get_mdi_zorder_vfunc () const
virtual bool | grab_focus_vfunc ()
virtual void | remove_focus_handler_vfunc (guint handler_id)
virtual bool | set_extents_vfunc (int x, int y, int width, int height, CoordType coord_type)
virtual bool | set_position_vfunc (int x, int y, CoordType coord_type)
virtual bool | set_size_vfunc (int width, int height)
Protected Member Functions inherited from Atk::Action
| Action ()
| You should derive from this class to use it. More...
virtual bool | do_action_vfunc (int i)
virtual int | get_n_actions_vfunc () const
virtual const char* | get_description_vfunc (int i) const
virtual const char* | get_name_vfunc (int i) const
virtual const char* | get_keybinding_vfunc (int i) const
virtual bool | set_description_vfunc (int i, const Glib::ustring& desc)
Protected Member Functions inherited from Atk::EditableText
| EditableText ()
| You should derive from this class to use it. More...
virtual bool | set_run_attributes_vfunc (AtkAttributeSet* attrib_set, int start_offset, int end_offset)
virtual void | set_text_contents_vfunc (const Glib::ustring&string)
virtual void | insert_text_vfunc (const Glib::ustring&string, int length, int& position)
virtual void | copy_text_vfunc (int start_pos, int end_pos)
virtual void | cut_text_vfunc (int start_pos, int end_pos)
virtual void | delete_text_vfunc (int start_pos, int end_pos)
virtual void | paste_text_vfunc (int position)
Protected Member Functions inherited from Atk::Image
| Image ()
| You should derive from this class to use it. More...
virtual bool | set_image_description_vfunc (const Glib::ustring& description)
virtual const char* | get_image_description_vfunc () const
virtual void | get_image_position_vfunc (int& x, int& y, CoordType coord_type) const
virtual void | get_image_size_vfunc (int& width, int& height) const
Protected Member Functions inherited from Atk::Selection
| Selection ()
| You should derive from this class to use it. More...
virtual bool | add_selection_vfunc (int i)
virtual bool | clear_selection_vfunc ()
virtual Glib::RefPtr< Atk::Object > | get_selection_vfunc (int i)
virtual int | get_selection_count_vfunc () const
virtual bool | is_child_selected_vfunc (int i) const
virtual bool | remove_selection_vfunc (int i)
virtual bool | select_all_selection_vfunc ()
virtual void | on_selection_changed ()
| This is a default handler for the signal signal_selection_changed(). More...
Protected Member Functions inherited from Atk::Table
| Table ()
| You should derive from this class to use it. More...
virtual Glib::RefPtr< Atk::Object > | get_at_vfunc (int row, int column)
virtual int | get_index_at_vfunc (int row, int column) const
virtual int | get_column_at_index_vfunc (int index) const
virtual int | get_row_at_index_vfunc (int index) const
virtual int | get_n_columns_vfunc () const
virtual int | get_n_rows_vfunc () const
virtual int | get_column_extent_at_vfunc (int row, int column) const
virtual int | get_row_extent_at_vfunc (int row, int column) const
virtual Glib::RefPtr< Atk::Object > | get_caption_vfunc ()
virtual const char* | get_column_description_vfunc (int column) const
virtual Glib::RefPtr< Atk::Object > | get_column_header_vfunc (int column)
virtual const char* | get_row_description_vfunc (int row) const
virtual Glib::RefPtr< Atk::Object > | get_row_header_vfunc (int row)
virtual Glib::RefPtr< Atk::Object > | get_summary_vfunc ()
virtual void | set_caption_vfunc (const Glib::RefPtr< Atk::Object >& caption)
virtual void | set_column_description_vfunc (int column, const char* description)
virtual void | set_column_header_vfunc (int column, const Glib::RefPtr< Atk::Object >& header)
virtual void | set_row_description_vfunc (int row, const char* description)
virtual void | set_row_header_vfunc (int row, const Glib::RefPtr< Atk::Object >& header)
virtual void | set_summary_vfunc (const Glib::RefPtr< Atk::Object >& accessible)
virtual bool | is_column_selected_vfunc (int column) const
virtual bool | is_row_selected_vfunc (int row) const
virtual bool | is_selected_vfunc (int row, int column) const
virtual bool | add_row_selection_vfunc (int row)
virtual bool | remove_row_selection_vfunc (int row)
virtual bool | add_column_selection_vfunc (int column)
virtual bool | remove_column_selection_vfunc (int column)
virtual int | get_selected_columns_vfunc (int** selected) const
virtual int | get_selected_rows_vfunc (int** selected) const
virtual void | on_row_inserted (int row, int num_inserted)
| This is a default handler for the signal signal_row_inserted(). More...
virtual void | on_column_inserted (int column, int num_inserted)
| This is a default handler for the signal signal_column_inserted(). More...
virtual void | on_row_deleted (int row, int num_deleted)
| This is a default handler for the signal signal_row_deleted(). More...
virtual void | on_column_deleted (int column, int num_deleted)
| This is a default handler for the signal signal_column_deleted(). More...
virtual void | on_row_reordered ()
| This is a default handler for the signal signal_row_reordered(). More...
virtual void | on_column_reordered ()
| This is a default handler for the signal signal_column_reordered(). More...
virtual void | on_model_changed ()
| This is a default handler for the signal signal_model_changed(). More...
Protected Member Functions inherited from Atk::Text
| Text ()
| You should derive from this class to use it. More...
virtual Glib::ustring | get_text_vfunc (int start_offset, int end_offset) const
virtual gunichar | get_character_at_offset_vfunc (int offset) const
virtual Glib::ustring | get_text_after_offset_vfunc (int offset, TextBoundary boundary_type, int& start_offset, int& end_offset) const
virtual Glib::ustring | get_text_at_offset_vfunc (int offset, TextBoundary boundary_type, int& start_offset, int& end_offset) const
virtual Glib::ustring | get_text_before_offset_vfunc (int offset, TextBoundary boundary_type, int& start_offset, int& end_offset) const
virtual int | get_caret_offset_vfunc () const
virtual void | get_character_extents_vfunc (int offset, int& x, int& y, int& width, int& height, CoordType coords) const
virtual AtkAttributeSet* | get_run_attributes_vfunc (int offset, int& start_offset, int& end_offset) const
virtual AtkAttributeSet* | get_default_attributes_vfunc () const
virtual int | get_character_count_vfunc () const
virtual int | get_offset_at_point_vfunc (int x, int y, CoordType coords) const
virtual int | get_n_selections_vfunc () const
virtual Glib::ustring | get_selection_vfunc (int selection_num, int& start_offset, int& end_offset) const
virtual bool | add_selection_vfunc (int start_offset, int end_offset)
virtual bool | remove_selection_vfunc (int selection_num)
virtual bool | set_selection_vfunc (int selection_num, int start_offset, int end_offset)
virtual bool | set_caret_offset_vfunc (int offset)
virtual void | on_text_changed (int position, int length)
| This is a default handler for the signal signal_text_changed(). More...
virtual void | on_text_caret_moved (int location)
| This is a default handler for the signal signal_text_caret_moved(). More...
virtual void | on_text_selection_changed ()
| This is a default handler for the signal signal_text_selection_changed(). More...
virtual void | on_text_attributes_changed ()
| This is a default handler for the signal signal_text_attributes_changed(). More...
Protected Member Functions inherited from Atk::Hypertext
| Hypertext ()
| You should derive from this class to use it. More...
virtual void | on_link_selected (int link_index)
| This is a default handler for the signal signal_link_selected(). More...
Protected Member Functions inherited from Atk::Value
| Value ()
| You should derive from this class to use it. More...
virtual void | get_current_value_vfunc (Glib::ValueBase& value) const
virtual void | get_maximum_value_vfunc (Glib::ValueBase& value) const
virtual void | get_minimum_value_vfunc (Glib::ValueBase& value) const
virtual bool | set_current_value_vfunc (const Glib::ValueBase& value)

## Detailed Description

An Atk::NoOpObject is an Atk::Object which purports to implement all ATK interfaces.

It is the type of Atk::Object which is created if an accessible object is requested for an object type for which no factory type is specified.

## Constructor & Destructor Documentation

## ◆ NoOpObject()

Atk::NoOpObject::NoOpObject | ( | NoOpObject&& | src | ) |
| noexcept

## ◆ ~NoOpObject()

Atk::NoOpObject::~NoOpObject | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ get_type()

static GType Atk::NoOpObject::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

AtkNoOpObject* Atk::NoOpObject::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const AtkNoOpObject* Atk::NoOpObject::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

AtkNoOpObject* Atk::NoOpObject::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

NoOpObject& Atk::NoOpObject::operator= | ( | NoOpObject&& | src | ) |
| noexcept

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Atk::NoOpObject > wrap | ( | AtkNoOpObject * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.